Skip to content
getgeolens.com

List Collections

GET
/collections
curl --request GET \
--url 'https://example.com/collections?offset=0&limit=50'

List available OGC collections (catalog + per-dataset feature collections).

offset
Offset

Pagination offset for per-dataset collections

integer
0

Pagination offset for per-dataset collections

limit
Limit

Max per-dataset collections to return

integer
default: 50 >= 1 <= 200

Max per-dataset collections to return

Successful Response

Media type application/json
OGCCollectionsResponse

Response for /collections listing all available OGC collections.

object
collections
required
Collections
Array<object>
object
key
additional properties
any
links
Links
Array<object>
default:
OGCRecordLink

Link object in OGC API Records.

object
href
required
Href
string
rel
required
Rel
string
type
required
Type
string
Example
{
"links": []
}

Bad request — invalid query parameters or payload

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Not found

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}